package states
{

import flash.display.Bitmap;
import flash.events.Event;
import mx.core.BitmapAsset;

import states.AState;
import Sheep;

/**
 * State stay
 * 
 * @author neolao <neo@neolao.com>
 */
public class Stay extends AState
{
	// ----------------------------- CONSTANTS ---------------------------------
	
	// ----------------------------- VARIABLES ---------------------------------
	static public var stateName:String = "Stay";
	
	[Embed(source="../../images/sheep_stay.png")]
	private var _image:Class;
	
	/*============================= CONSTRUCTOR ==============================*/
	/*========================================================================*/
    /**
     * Constructor
     * 
     * @param pSheepInstance The Sheep instance
     */
    public function Stay(pSheepInstance:Sheep)
    {
        super(pSheepInstance);
    }
    /*======================= END = CONSTRUCTOR = END ========================*/
	/*========================================================================*/

	/*================================ PUBLIC ================================*/
	/*========================================================================*/
	
	/*========================== END = PUBLIC = END ==========================*/
	/*========================================================================*/
	
	/*=============================== PRIVATE ================================*/
	/*========================================================================*/
	/**
	 * Initialization event
	 * 
	 * @param pEvent The event
	 */
	override protected function _init(pEvent:Event):void
	{
        var image:BitmapAsset = new _image() as BitmapAsset;
        var bitmap:Bitmap = new Bitmap();
		bitmap.bitmapData = image.bitmapData;
		this.addChild(bitmap);
	}
	/*========================= END = PRIVATE = END ==========================*/
	/*========================================================================*/
}

}