package 
{

import flash.display.NativeWindowInitOptions;
import flash.display.NativeWindowSystemChrome;
import flash.display.NativeWindow;
import Sheep;

/**
 * Sheep Factory
 * 
 * @author neolao <neo@neolao.com>
 */
public class SheepFactory
{
	// ----------------------------- CONSTANTS ---------------------------------
	
	// ----------------------------- VARIABLES ---------------------------------
	
	/*================================ PUBLIC ================================*/
	/*========================================================================*/
	/**
	 * Create a sheep
	 */
	static public function createSheep():void
	{
		// Create the sheep
		var newSheep:Sheep = new Sheep();
		
		// Create the options
		var options:NativeWindowInitOptions = new NativeWindowInitOptions();
		options.transparent = true;
		options.systemChrome = NativeWindowSystemChrome.NONE;
			
		// Create the window
		var newWindow:NativeWindow = new NativeWindow(true, options);
		newWindow.width = newSheep.width;
		newWindow.height = newSheep.height;
		newWindow.stage.align = "TL";
		newWindow.stage.scaleMode = "noScale";
			
		// Add the sheep to the window
		newWindow.stage.addChild(newSheep);
	}
	/*========================== END = PUBLIC = END ==========================*/
	/*========================================================================*/
	
	/*=============================== PRIVATE ================================*/
	/*========================================================================*/
	
	/*========================= END = PRIVATE = END ==========================*/
	/*========================================================================*/
}

}